Skip to main content
POST
/
providers
/
{id}
/
resources
Create Provider Resource
curl --request POST \
  --url https://api.example.com/providers/{id}/resources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resource": {
    "name": "<string>",
    "description": "<string>",
    "uri": "<string>",
    "mimeType": "text/plain",
    "size": 123,
    "annotations": {}
  }
}
'
{
  "resource": {
    "id": "kSuB9Gf6aD4",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "description": "<string>",
    "uri": "<string>",
    "mimeType": "text/plain",
    "size": 123,
    "annotations": {}
  }
}

Authorizations

Authorization
string
header
required

Enter 'Bearer' followed by a space and your token (e.g., 'Bearer ${HASMCP_ACCESS_TOKEN}').

Path Parameters

id
string
required

Provider ID

Body

application/json
resource
object

Response

201 - application/json

Provider Resource created

resource
object